Bug 504880 - Notebook frozen for a while. dmesg shows "iwlagn Microcode SW error "
Notebook frozen for a while. dmesg shows "iwlagn Microcode SW error "
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: John W. Linville
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-09 17:45 EDT by Suhan Andrei
Modified: 2009-08-25 07:45 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-08-25 07:45:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Suhan Andrei 2009-06-09 17:45:27 EDT
Description of problem:
see more details and traces here:
http://www.intellinuxwireless.org/bugzilla/show_bug.cgi?id=1796

Version-Release number of selected component (if applicable):


How reproducible:
sometimes usualy when close to AP, needs several system reboots , sometimes 
ifdown wlan0 then ifup wlan0 may restore connection.


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
http://www.intellinuxwireless.org/bugzilla/show_bug.cgi?id=1796
Comment 1 Suhan Andrei 2009-06-09 18:53:16 EDT
Hi,

I am using kde when this occurs. 

The workaround steps are:

1) turn of the wifi using the laptop's wifi kill switch
2) reboot
3) after logged in let kde to startup until cpu shows low usage
4) start wifi using laptop's wifi kill switch
5) from a root console : issue "ifdown wlan0" then "ifup wlan0" 

This may be related to kde , to high CPU usage just after kde starts and Network manager  tries to connect. 
Anyway the driver and iwl hw must be able to recover any transient error due to high cpu or other transient causes (as KDE startup etc) when network manager tries to reconnect after RXON error. 

Hope this helps.
Comment 2 John W. Linville 2009-06-10 13:33:44 EDT
Which kernel are you running?  Which version of iwl5000-firmware do you have installed?
Comment 3 Suhan Andrei 2009-06-10 14:38:25 EDT
Hi,

I am using latest updates from standard fedora 10 yum repos.
http://www.intellinuxwireless.org/bugzilla/show_bug.cgi?id=1796  contains my logs (lspci,  and debug log of iwlagn) See starting from comment #8

kernel version is latest as I update as fast as possible on this machine.
I will post in a while exact output of uname -a

Hope this helps . 

Thanks, 
Andrei.
Comment 4 Suhan Andrei 2009-06-10 14:46:40 EDT
Hi,

$ uname -a
Linux tsasuhan 2.6.27.24-170.2.68.fc10.x86_64 #1 SMP Wed May 20 22:47:23 EDT 2009 x86_64 x86_64 x86_64 GNU/Linux

$ ls -la /lib/firmware/iwl*
-rw-r--r-- 1 root root  149816 2008-10-21 02:42 /lib/firmware/iwlwifi-3945-1.ucode
-rw-r--r-- 1 root root  149816 2008-10-21 02:42 /lib/firmware/iwlwifi-3945-2.ucode
-rw-r--r-- 1 root root  149652 2007-06-20 22:30 /lib/firmware/iwlwifi-3945.ucode
-rw-r--r-- 1 root root  187608 2008-07-02 23:03 /lib/firmware/iwlwifi-4965-1.ucode
-rw-r--r-- 1 root root  187764 2008-12-08 22:19 /lib/firmware/iwlwifi-4965-2.ucode
-rw-r--r-- 1 root root  345008 2008-06-02 19:37 /lib/firmware/iwlwifi-5000-1.ucode

If there is more info that you need from the machine, please let me know.

Hope this helps, 
Andrei.
Comment 5 John W. Linville 2009-06-10 14:52:13 EDT
rpm -q iwl5000-firmware

What is the output?

Also, please try a 2.6.29-based kernel:

   yum --enablerepo=updates-testing update kernel

Does that change the situation for you?
Comment 6 Suhan Andrei 2009-06-10 15:21:46 EDT
# rpm -q iwl5000-firmware
iwl5000-firmware-5.4.A.11-3.noarch

I will try 2.6.29-based kernel and let you know when I have the results. 

Hope this helps ,
Andrei.
Comment 7 Suhan Andrei 2009-06-13 17:04:46 EDT
Hi, 

upgraded kernel to 

# uname -a
Linux tsasuhan 2.6.29.4-75.fc10.x86_64 #1 SMP Mon May 25 15:45:14 EDT 2009 x86_64 x86_64 x86_64 GNU/Linux

I am looking now to see if it still shows up. May take a while . Meanwhile just wanted to let you know there's more comments from iwlagn driver project. 

Hope it helps
Andrei.
Comment 8 Vinod Kutty 2009-07-01 22:46:35 EDT
I'm running KDE in Fedora 11 on a Dell E6500 laptop and observed something similar. It's happened twice so far, while I was watching video from hulu.com streamed to the adobe flash 10 64-bit alpha player running in Firefox 3.5beta4.

--------------------------------
Jun 30 20:49:47 dell-e6500-eval kernel: iwlagn: Microcode SW error detected.  Restarting 0x2000000.
Jun 30 20:49:47 dell-e6500-eval kernel: Registered led device: iwl-phy0:radio
Jun 30 20:49:47 dell-e6500-eval kernel: Registered led device: iwl-phy0:assoc
Jun 30 20:49:47 dell-e6500-eval kernel: Registered led device: iwl-phy0:RX
Jun 30 20:49:47 dell-e6500-eval kernel: Registered led device: iwl-phy0:TX
 .
 .
 .

Jul  1 19:38:25 dell-e6500-eval pulseaudio[16697]: alsa-sink.c: Increasing wakeup watermark to 25.99 ms
Jul  1 19:38:26 dell-e6500-eval kernel: iwlagn: Microcode SW error detected.  Restarting 0x82000000.
Jul  1 19:38:26 dell-e6500-eval kernel: Registered led device: iwl-phy0:radio
Jul  1 19:38:26 dell-e6500-eval kernel: Registered led device: iwl-phy0:assoc
Jul  1 19:38:26 dell-e6500-eval kernel: Registered led device: iwl-phy0:RX
Jul  1 19:38:26 dell-e6500-eval kernel: Registered led device: iwl-phy0:TX
--------------------------------

Once this happens, I recover by using NetworkManager to disable wireless, then re-enable it. I have to quit Firefox and restart before I can continue watching video (probably not relevant, but just mentioning it for completeness).

Info:
--------------------------------
# uname -r
2.6.29.5-191.fc11.x86_64
# rpm -q iwl5000-firmware
iwl5000-firmware-8.24.2.12-1.fc11.noarch
#
# lspci -v -s 0c:00.0
0c:00.0 Network controller: Intel Corporation PRO/Wireless 5300 AGN [Shiloh] Network Connection
        Subsystem: Intel Corporation Device 1121
        Flags: bus master, fast devsel, latency 0, IRQ 31
        Memory at f1ffe000 (64-bit, non-prefetchable) [size=8K]
        Capabilities: [c8] Power Management version 3
        Capabilities: [d0] MSI: Mask- 64bit+ Count=1/1 Enable+
        Capabilities: [e0] Express Endpoint, MSI 00
        Capabilities: [100] Advanced Error Reporting
        Capabilities: [140] Device Serial Number 9e-90-3c-ff-ff-6a-21-00
        Kernel driver in use: iwlagn
        Kernel modules: iwlagn
#

# modinfo iwlagn                                                            
filename:       /lib/modules/2.6.29.5-191.fc11.x86_64/kernel/drivers/net/wireless/iwlwifi/iwlagn.ko 
alias:          iwl4965                                                                             
license:        GPL                                                                                 
author:         Copyright(c) 2003-2008 Intel Corporation <ilw@linux.intel.com>                      
version:        1.3.27kds                                                                           
description:    Intel(R) Wireless WiFi Link AGN driver for Linux                                    
firmware:       iwlwifi-4965-2.ucode                                                                
firmware:       iwlwifi-5150-1.ucode                                                                
firmware:       iwlwifi-5000-1.ucode                                                                
srcversion:     F697A5C1F23361B350F622A                                                             
alias:          pci:v00008086d0000423Dsv*sd*bc*sc*i*                                                
alias:          pci:v00008086d0000423Csv*sd*bc*sc*i*                                                
alias:          pci:v00008086d0000423Bsv*sd00001011bc*sc*i*                                         
alias:          pci:v00008086d0000423Asv*sd00001021bc*sc*i*                                         
alias:          pci:v00008086d0000423Asv*sd00001001bc*sc*i*                                         
alias:          pci:v00008086d00004237sv*sd*bc*sc*i*
alias:          pci:v00008086d00004236sv*sd*bc*sc*i*
alias:          pci:v00008086d00004235sv*sd*bc*sc*i*
alias:          pci:v00008086d00004232sv*sd*bc*sc*i*
alias:          pci:v00008086d00004237sv*sd00001216bc*sc*i*
alias:          pci:v00008086d00004232sv*sd00001326bc*sc*i*
alias:          pci:v00008086d00004232sv*sd00001306bc*sc*i*
alias:          pci:v00008086d00004232sv*sd00001206bc*sc*i*
alias:          pci:v00008086d00004232sv*sd00001305bc*sc*i*
alias:          pci:v00008086d00004232sv*sd00001205bc*sc*i*
alias:          pci:v00008086d00004230sv*sd*bc*sc*i*
alias:          pci:v00008086d00004229sv*sd*bc*sc*i*
depends:        iwlcore,cfg80211,mac80211
vermagic:       2.6.29.5-191.fc11.x86_64 SMP mod_unload
 .
 .
 .


# rpm -qa |fgrep iwl
iwl3945-firmware-15.32.2.9-1.fc11.noarch
iwl4965-firmware-228.57.2.23-5.fc11.noarch
iwl5000-firmware-8.24.2.12-1.fc11.noarch
#
--------------------------------
Comment 9 Suhan Andrei 2009-07-02 05:15:19 EDT
Hi, after kernel upgrade to:

# uname -a
Linux tsasuhan 2.6.29.4-75.fc10.x86_64 #1 SMP Mon May 25 15:45:14 EDT 2009
x86_64 x86_64 x86_64 GNU/Linux


I could not yet duplicate the problem, I hope it is fixed here . 

Hope this helps, 
Thanks,
Andrei.
Comment 10 John W. Linville 2009-07-02 08:52:38 EDT
Closing on the basis of comment 9...
Comment 11 Thomas Janssen 2009-08-25 06:51:56 EDT
2.6.29.6-99.fc10.x86_64
iwl5000-firmware-5.4.A.11-3.noarch

---------------------------------------------------

Aug 25 08:25:50 tusdell kernel: ACPI: EC: missing confirmations, switch off interrupt mode.
Aug 25 08:25:51 tusdell kernel: ACPI Exception (evregion-0422): AE_TIME, Returned by Handler for [EmbeddedControl] [20081204]
Aug 25 08:25:51 tusdell kernel: ACPI Error (psparse-0537): Method parse/execution failed [\_TZ_.TZ01._TMP] (Node ffff8800bf257760), AE_TIME

---------------------------------------------------

Aug 25 11:09:30 tusdell kernel: ACPI Exception (evregion-0422): AE_TIME, Returned by Handler for [EmbeddedControl] [20081204]
Aug 25 11:09:30 tusdell kernel: ACPI Error (psparse-0537): Method parse/execution failed [\_TZ_.TZ01._TMP] (Node ffff8800bf257760), AE_TIME
Aug 25 11:25:52 tusdell kernel: iwlagn: Microcode SW error detected.  Restarting 0x2000000.
Aug 25 11:25:52 tusdell kernel: Registered led device: iwl-phy0:radio
Aug 25 11:25:52 tusdell kernel: Registered led device: iwl-phy0:assoc
Aug 25 11:25:52 tusdell kernel: Registered led device: iwl-phy0:RX
Aug 25 11:25:52 tusdell kernel: Registered led device: iwl-phy0:TX

----------------------------------------------------

Happens once in a while. Wifi dead. Killswitching it on/off gets the wlan back.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 12 John W. Linville 2009-08-25 07:45:28 EDT
Why would you dig-up an old, closed bug rather than opening a new one?  "Notebook frozen for a while" and "Wifi dead" do not obviously sound like the same thing to me...

FWIW, "iwlagn: Microcode SW error detected" is a symptom, not a specific problem.

Note You need to log in before you can comment on or make changes to this bug.